# $Revision: 1.26 $, $Date: 2012/02/10 09:40:33 $
# TODO:
# - warnings at compile stage about pointer size on amd64 - needs check
Summary:	Tesseract Open Source OCR Engine
Summary(pl.UTF-8):	Tesseract - silnik OCR o otwartych źródłach
Name:		tesseract
Version:	3.01
Release:	3
License:	Apache v2.0
Group:		Applications/Graphics
#Source0Download: http://code.google.com/p/tesseract-ocr/downloads/list
Source0:	http://tesseract-ocr.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	1ba496e51a42358fb9d3ffe781b2d20a
URL:		http://code.google.com/p/tesseract-ocr/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	leptonlib-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
Suggests:	tesseract-data >= 3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A commercial quality OCR engine originally developed at HP between
1985 and 1995. In 1995, this engine was among the top 3 evaluated by
UNLV. It was open-sourced by HP and UNLV in 2005.

%description -l pl.UTF-8
Silnik OCR o komercyjnej jakości oryginalnie stworzony przez HP w
latach 1985-1995. W 1995 roku był jednym z 3 najlepszych wg UNLV.
Źródła zostały uwolnione przez HP i UNLV w 2005 roku.

%package devel
Summary:	Header files for Tesseract libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek Tesseracta
Group:          Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	leptonlib-devel
Requires:	libstdc++-devel
Requires:	libtiff-devel

%description devel
This package contains the development header files necessary to
develop applications using Tesseract API.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do tworzenia programów
wykorzystujących API Tesseracta.

%package static
Summary:	Static Tesseract libraries
Summary(pl.UTF-8):	Statyczne biblioteki Tesseracta
Group:          Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Tesseract libraries.

%description static -l pl.UTF-8
Statyczne biblioteki Tesseracta.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README ReleaseNotes
%attr(755,root,root) %{_bindir}/cntraining
%attr(755,root,root) %{_bindir}/combine_tessdata
%attr(755,root,root) %{_bindir}/mftraining
%attr(755,root,root) %{_bindir}/tesseract
%attr(755,root,root) %{_bindir}/unicharset_extractor
%attr(755,root,root) %{_bindir}/wordlist2dawg
%attr(755,root,root) %{_libdir}/libtesseract.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtesseract.so.3
%dir %{_datadir}/tessdata
%dir %{_datadir}/tessdata/configs
%{_datadir}/tessdata/configs/*
%dir %{_datadir}/tessdata/tessconfigs
%{_datadir}/tessdata/tessconfigs/*
%{_mandir}/man1/cntraining.1*
%{_mandir}/man1/combine_tessdata.1*
%{_mandir}/man1/mftraining.1*
%{_mandir}/man1/tesseract.1*
%{_mandir}/man1/unicharset_extractor.1*
%{_mandir}/man1/wordlist2dawg.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtesseract.so
%{_libdir}/libtesseract.la
%{_includedir}/%{name}
%{_mandir}/man5/unicharambigs.5*
%{_mandir}/man5/unicharset.5*

%files static
%defattr(644,root,root,755)
%{_libdir}/libtesseract.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tesseract.spec,v $
Revision 1.26  2012/02/10 09:40:33  adamg
- revert last commit, we want to keep libtool file if there is no
  pkgconfig file available
- release 3

Revision 1.25  2012/02/08 23:42:35  adamg
- release 2, drop libtool file

Revision 1.24  2011/10/27 19:13:00  qboosh
- updated to 3.01 (now uses single library instead of a dozen of)
- removed obsolete patches

Revision 1.23  2010/11/14 21:22:48  qboosh
- updated to 3.00
- removed obsolete nojava,gcc44 patches
- added missing patch (missing ac/am source files taken from svn)
- added link patch (kill unnecessary png/jpeg/z linking)
- moved data to separate spec (tesseract-data)

Revision 1.22  2009/11/04 16:18:22  sparky
- BR: libstdc++-devel

Revision 1.21  2009/07/25 23:30:37  adamg
- updated to 2.04

Revision 1.20  2009/02/18 12:09:35  jajcus
- Release: 1 (better a bit unfinished, but fully functional, than ancient)

Revision 1.19  2008/12/26 11:05:52  adamg
- fix previous commit msg
- -gcc43, -no-java patches

Revision 1.18  2008/12/26 01:52:48  adamg
- updated to 2.03

Revision 1.17  2008-02-09 21:00:47  qboosh
- unified License format

Revision 1.16  2007-08-31 11:45:09  kosmo
- updated to 2.01

Revision 1.15  2007/08/04 16:12:08  qboosh
- removed obsolete globals patch

Revision 1.14  2007/08/04 15:23:48  qboosh
- leftover

Revision 1.13  2007/08/04 15:17:21  qboosh
- use ISO 639-1 language codes for package names (for distribution consistency)
- non-verbose tar

Revision 1.12  2007/07/30 15:21:40  blues
- general cleanups: group parts in proper places, package headers and
  static libs (dunno if it's needed but who knows), changed lang
  subpackages names, removed duplicate packaging lang files,....

Revision 1.11  2007/07/20 15:01:26  zawadaa
- up to 2.00
- added languages
- now works pretty good (on AC)
- please review - different names for packages?

Revision 1.10  2007/07/17 17:16:23  qboosh
- globals patch is back (updated)

Revision 1.9  2007/07/17 13:40:53  blues
- 1.04b - project has moved to new location; global patch seems to be
  outdated (patched files have dissapeared).
- STBR to AC, previous version doesn't work at all

Revision 1.8  2007/04/05 16:20:18  megabajt
- added globals patch
- release 2

Revision 1.7  2007/02/17 15:34:20  qboosh
- updated to 1.03

Revision 1.6  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.4  2007/01/14 23:20:34  qboosh
- pl

Revision 1.3  2007/01/09 15:34:41  glen
- fix amd64 build; binary not tested

Revision 1.2  2007/01/09 15:26:47  glen
- unify license

Revision 1.1  2007/01/09 15:25:30  glen
- new
